loci.formats.in

## Class AmiraReader.HxZip

- java.lang.Object
- - loci.formats.in.AmiraReader.HxZip

- All Implemented Interfaces:
    AmiraReader.PlaneReader
  Enclosing class:
    AmiraReader

      class AmiraReader.HxZip
      extends java.lang.Object
      implements AmiraReader.PlaneReader

  This is the reader for GZip-compressed AmiraMeshes. As such files contain a single GZipped stream for the complete stack, we cannot really access the slices randomly, but have to decompress instead of seeking.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `(package private) long` | `compressedSize`
    `(package private) int` | `currentNo`
    `(package private) java.util.zip.InflaterInputStream` | `decompressor`
    `(package private) long` | `offsetOfStream`
    `(package private) int` | `planeSize`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `HxZip(long compressedSize)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `(package private) void` | `initDecompressor()`
    `byte[]` | `read(int no, byte[] buf)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### offsetOfStream

          long offsetOfStream

    - #### compressedSize

          long compressedSize

    - #### currentNo

          int currentNo

    - #### planeSize

          int planeSize

    - #### decompressor

          transient java.util.zip.InflaterInputStream decompressor

  - ### Constructor Detail

    - #### HxZip

          HxZip(long compressedSize)

  - ### Method Detail

    - #### initDecompressor

          void initDecompressor()
                         throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### read

          public byte[] read(int no,
                             byte[] buf)
                      throws FormatException,
                             java.io.IOException

      Specified by:
        `read` in interface `AmiraReader.PlaneReader`
      Throws:
        `FormatException`
        `java.io.IOException`

Copyright © 2026 Open Microscopy Environment